#include "max6675.h" //Die MAX6675 Bibliothek

int max6675SO = 8; // Serial Output am PIN 8
int max6675CS = 9; // Chip Select am PIN 9
int max6675CLK = 10; // Serial Clock am PIN 10

// Initialisierung der MAX6675 Bibliothek mit 
// den Werten der PINs
MAX6675 ktc(max6675CLK, max6675CS, max6675SO); 

  
void setup() {
  Serial.begin(9600); // Begin der Seriellen Kommunikation mit 9600 Baud
  delay(500); // eine kleine Pause damit der Sensor sich kalibriert 
}

void loop() {
  // Lesen des Temperaturwertes in Grad Celsius
  Serial.print(ktc.readCelsius());
  Serial.println("C"); 

  // Lesen des Temperaturwertes in Grad Fahrenheit
  Serial.print(ktc.readFahrenheit());
  Serial.println("F");

  // 500ms Pause bis zum nächsten Durchlauf
  delay(500);
}

